using Godot;
using System;

public partial class CurrentFrameLabel : Label
{
	TAS_System TAS;
	// Called when the node enters the scene tree for the first time.
	public override void _Ready()
	{
		TAS = GetNode<TAS_System>("/root/TAS_System");
		// TAS.FrameIncremented += OnFrameIncremented;
	}

	// Called every frame. 'delta' is the elapsed time since the previous frame.
	public override void _Process(double delta)
	{
		this.Text = $"Current frame: {TAS.CurrentFrame}";
	}

	public virtual void OnFrameIncremented(int newFrame)
    {
        this.Text = $"Current frame: {newFrame}";
    }
}
